import request from '@/utils/request'

// 查询占桩订单列表
export function listOccupy(query) {
  return request({
    url: '/pile/occupy/list',
    method: 'get',
    params: query
  })
}

// 查询占桩订单详细
export function getOccupy(id) {
  return request({
    url: '/pile/occupy/' + id,
    method: 'get'
  })
}

// 新增占桩订单
export function addOccupy(data) {
  return request({
    url: '/pile/occupy',
    method: 'post',
    data: data
  })
}

// 修改占桩订单
export function updateOccupy(data) {
  return request({
    url: '/pile/occupy',
    method: 'put',
    data: data
  })
}

// 删除占桩订单
export function delOccupy(id) {
  return request({
    url: '/pile/occupy/' + id,
    method: 'delete'
  })
}
